Back to home page

Project CMSSW displayed by LXR

 
 

    


File indexing completed on 2021-02-14 14:23:25

0001 #!/bin/bash
0002 
0003 # Pass in name and status
0004 function die { echo $1: status $2 ;  exit $2; }
0005 
0006 cd ${LOCAL_TEST_DIR}
0007 rm -f Event*_out.root
0008 
0009 # Run 278018
0010 events="1687278667 1541093157 1686648178 1540061587 1686541662 1539957230 1540745931 1687229747"
0011 for event in ${events}; do
0012   (cmsRun pippo_cfg.py inputFiles=file:Event${event}.root outputFile=Event${event}_out.root >/dev/null 2>&1) || die "Failure processing Event ${event}" $?
0013   (python test_Event${event}.py) || die "Failure testing Event ${event}" $?
0014 done
0015 
0016 # Run 278018 (check ME1/1)
0017 events="1687428853 1687288694 1687130991"
0018 for event in ${events}; do
0019   (cmsRun pippo_cfg.py inputFiles=file:Event${event}.root outputFile=Event${event}_out.root >/dev/null 2>&1) || die "Failure processing Event ${event}" $?
0020   (python test_Event${event}.py) || die "Failure testing Event ${event}" $?
0021 done
0022 
0023 # Run 281707
0024 #events="135692983 134854523 134963582 300921221 1713517148 135509344 1289966989"
0025 events="135692983 134854523 134963582 300921221 1713517148"
0026 for event in ${events}; do
0027   (cmsRun pippo_cfg.py inputFiles=file:Event${event}.root outputFile=Event${event}_out.root >/dev/null 2>&1) || die "Failure processing Event ${event}" $?
0028   (python test_Event${event}.py) || die "Failure testing Event ${event}" $?
0029 done